package com.me.brickbuster.entity;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.glutils.ShapeRenderer;
import com.me.brickbuster.BrickBuster;

public class Block extends Entity {
	public static final Color BLOCK_COLOR = Color.FOREST;
	public static final int BLOCK_WIDTH = 50;
	public static final int BLOCK_HEIGHT = 15;

	public Block(BrickBuster brickBuster, int x, int y) {
		super(brickBuster, x, y);
	}

	@Override
	public void render() {
		getShapeRenderer().begin(ShapeRenderer.ShapeType.Filled);
		getShapeRenderer().setColor(BLOCK_COLOR);
		getShapeRenderer().rect(getX(), getY(), BLOCK_WIDTH, BLOCK_HEIGHT);
		getShapeRenderer().end();
	}

	@Override
	public void update(float dt) {
	}
}
